
//
//  Bench.cpp - RDTSC 
//
//  This document contains file that you may use at your own risk in your own programs.
//
//  This module is designed to work with the exercises for this book.
//
//  Created - 2 Jun 98 - James Leiterman
//
//  Last Modification
//
//      17 Jul 2005 - JCL - Brought up to date.
//
//  stab=4
//



#include "KariType.h"                                   // Master Definitions

    //  3rd Party Libraries

#include <iostream.h>

    //  Book Development Library Modules

#include "CpuAsm.h"


 
int main( int argc, char *argv[] )
{
	ulong nDelay;

		// Delay calculation functions are in CpuAsm module!

	CpuDelaySet();

		// Waste some time
	for (uint n = 0; n < 1000; n++)
	{
	}

	nDelay = CpuDelayCalc();

    cout << "Delay of " << nDelay << " cycles!" << endl;

    cout << "Fin!\n\n" << flush;

    return 0;
}

